<?xml version="1.0" encoding="UTF-8"?>
<structure version="3" schemafile="ConfigChannel.dtd" workingxmlfile="ConfigChannel-exemple.xml" templatexmlfile="ConfigChannel.xml" xsltversion="2" encodinghtml="UTF-8" encodingrtf="ISO-8859-1" encodingpdf="UTF-8">
	<template>
		<match overwrittenxslmatch="/"/>
		<children>
			<xpath allchildren="1"/>
		</children>
	</template>
	<template>
		<editorproperties adding="mandatory" autoaddname="0" editable="1" markupmode="small"/>
		<match match="action"/>
		<children>
			<text fixtext="Nom">
				<styles font-weight="bold"/>
			</text>
			<text fixtext=" :"/>
			<template>
				<match match="@name"/>
				<children>
					<xpath allchildren="1"/>
				</children>
			</template>
			<newline/>
			<text fixtext="Classe de référence">
				<styles font-weight="bold"/>
			</text>
			<text fixtext=" :"/>
			<template>
				<match match="@classname"/>
				<children>
					<xpath allchildren="1"/>
				</children>
			</template>
			<text fixtext=" ">
				<styles color="#0080C0"/>
			</text>
			<newline/>
			<text fixtext="Type">
				<styles font-weight="bold"/>
			</text>
			<text fixtext=" : "/>
			<template>
				<match match="@type"/>
				<children>
					<xpath allchildren="1"/>
				</children>
			</template>
			<text fixtext=" "/>
			<choice>
				<children>
					<choiceoption>
						<testexpression>
							<xpath value="@type =&apos;&apos; or (@type!=&apos;normal&apos; and @type!=&apos;servant&apos;)"/>
						</testexpression>
						<children>
							<text fixtext="(">
								<styles color="#0000FF" font-style="italic"/>
							</text>
							<text fixtext="normal">
								<styles color="#0000FF" font-style="italic" text-decoration="underline"/>
							</text>
							<text fixtext=",servant)">
								<styles color="#0000FF" font-style="italic"/>
							</text>
						</children>
					</choiceoption>
				</children>
			</choice>
			<choice>
				<children>
					<choiceoption>
						<testexpression>
							<xpath value="@type =&apos;servant&apos;"/>
						</testexpression>
						<children>
							<newline/>
							<template>
								<match match="@servantinit"/>
								<children>
									<text fixtext="Méthode pour l&apos;initialisation">
										<styles font-weight="bold"/>
									</text>
									<text fixtext=" : "/>
									<xpath allchildren="1"/>
								</children>
							</template>
							<newline/>
							<template>
								<match match="@servantfinish"/>
								<children>
									<text fixtext="Méthode de retour">
										<styles font-weight="bold"/>
									</text>
									<text fixtext=" : "/>
									<xpath allchildren="1"/>
								</children>
							</template>
						</children>
					</choiceoption>
				</children>
			</choice>
			<choice>
				<children>
					<choiceoption>
						<testexpression>
							<xpath value="@type =&apos;&apos; or  @type =&apos;normal&apos;"/>
						</testexpression>
						<children>
							<newline/>
							<template>
								<match match="@rendertype"/>
								<children>
									<text fixtext="Type de rendu">
										<styles font-weight="bold"/>
									</text>
									<text fixtext=" : "/>
									<xpath allchildren="1"/>
									<choice>
										<children>
											<choiceoption>
												<testexpression>
													<xpath value=". !=&apos;&apos; and  . !=&apos;ssl&apos; and  . !=&apos;xsl&apos;"/>
												</testexpression>
												<children>
													<text fixtext="(">
														<styles color="#0000FF" font-style="italic"/>
													</text>
													<text fixtext="ssl">
														<styles color="#0000FF" font-style="italic" text-decoration="underline"/>
													</text>
													<text fixtext=",xsl)">
														<styles color="#0000FF" font-style="italic"/>
													</text>
												</children>
											</choiceoption>
										</children>
									</choice>
								</children>
							</template>
							<choice>
								<children>
									<choiceoption>
										<testexpression>
											<xpath value="@rendertype =&apos;ssl&apos;"/>
										</testexpression>
										<children>
											<newline/>
											<template>
												<match match="@sslfile"/>
												<children>
													<text fixtext="Fichier SSL">
														<styles font-weight="bold"/>
													</text>
													<text fixtext=" :"/>
													<xpath allchildren="1"/>
												</children>
											</template>
											<newline/>
											<template>
												<match match="@ssltitle"/>
												<children>
													<text fixtext="Titre SSL">
														<styles font-weight="bold"/>
													</text>
													<text fixtext=" : "/>
													<xpath allchildren="1"/>
												</children>
											</template>
										</children>
									</choiceoption>
								</children>
							</choice>
							<choice>
								<children>
									<choiceoption>
										<testexpression>
											<xpath value="@rendertype =&apos;xsl&apos;"/>
										</testexpression>
										<children>
											<newline/>
											<template>
												<match match="@xslfile"/>
												<children>
													<text fixtext="Fichier XSL">
														<styles font-weight="bold"/>
													</text>
													<text fixtext=" : "/>
													<xpath allchildren="1"/>
												</children>
											</template>
										</children>
									</choiceoption>
								</children>
							</choice>
							<newline/>
							<template>
								<match match="@init"/>
								<children>
									<text fixtext="Méthode d&apos;init">
										<styles font-weight="bold"/>
									</text>
									<text fixtext=" : "/>
									<xpath allchildren="1"/>
								</children>
							</template>
							<newline/>
							<template>
								<match match="@setoutput"/>
								<children>
									<text fixtext="Méthode d&apos;output">
										<styles font-weight="bold"/>
									</text>
									<text fixtext=" : "/>
									<xpath allchildren="1"/>
								</children>
							</template>
							<newline/>
							<template>
								<match match="@setxml"/>
								<children>
									<text fixtext="Méthode de génération de XML">
										<styles font-weight="bold"/>
									</text>
									<text fixtext=" : "/>
									<xpath allchildren="1"/>
								</children>
							</template>
							<newline/>
							<template>
								<match match="@renderxml"/>
								<children>
									<text fixtext="Méthode de rendu XML">
										<styles font-weight="bold"/>
									</text>
									<text fixtext=" : "/>
									<xpath allchildren="1"/>
								</children>
							</template>
							<newline/>
							<template>
								<match match="@cachetype"/>
								<children>
									<text fixtext="Type de cache">
										<styles font-weight="bold"/>
									</text>
									<text fixtext=" : "/>
									<xpath allchildren="1"/>
								</children>
							</template>
							<newline/>
							<template>
								<match match="@log"/>
								<children>
									<text fixtext="Type de log">
										<styles font-weight="bold"/>
									</text>
									<text fixtext=" : "/>
									<xpath allchildren="1"/>
								</children>
							</template>
						</children>
					</choiceoption>
				</children>
			</choice>
			<newline/>
			<xpath allchildren="1"/>
			<newline/>
			<line>
				<properties color="black" size="1"/>
			</line>
		</children>
	</template>
	<template>
		<match match="actions"/>
		<children>
			<paragraph paragraphtag="div">
				<styles background-color="#F3F3F3" border-bottom-width="0cm" border-left-width="thin" border-right-width="thin" border-style="ridge" border-top-width="thin"/>
				<properties align="center"/>
				<children>
					<text fixtext="les actions ">
						<styles font-size="large" font-weight="bold"/>
					</text>
				</children>
			</paragraph>
			<paragraph paragraphtag="div">
				<styles background-color="#F3F3F3" border-style="ridge" border-width="thin"/>
				<properties align="left"/>
				<children>
					<xpath allchildren="1"/>
				</children>
			</paragraph>
		</children>
	</template>
	<template>
		<match match="attribut"/>
		<children>
			<paragraph paragraphtag="div">
				<children>
					<list>
						<styles margin-bottom="0" margin-top="0"/>
						<children>
							<listrow>
								<children>
									<template>
										<match match="@ldapName"/>
										<children>
											<xpath allchildren="1">
												<styles font-weight="bold"/>
											</xpath>
										</children>
									</template>
									<text fixtext=" : "/>
									<template>
										<match match="@format"/>
										<children>
											<xpath allchildren="1"/>
										</children>
									</template>
									<choice>
										<children>
											<choiceoption>
												<testexpression>
													<xpath value="(@format !=&quot;&quot; or  @format=&quot;&quot;) and (count( format )&gt;0)"/>
												</testexpression>
												<children>
													<newline/>
													<text fixtext="ATTENTION, il faut soit spécifier un format général soit un par groupe">
														<styles color="#FF0000"/>
													</text>
												</children>
											</choiceoption>
										</children>
									</choice>
									<xpath restofcontents="1"/>
								</children>
							</listrow>
						</children>
					</list>
				</children>
			</paragraph>
		</children>
	</template>
	<template>
		<match match="config"/>
		<children>
			<xpath>
				<match match="groupmapping"/>
			</xpath>
			<newline/>
			<xpath>
				<match match="actions"/>
			</xpath>
			<newline/>
			<xpath>
				<match match="ldap"/>
			</xpath>
			<newline/>
		</children>
	</template>
	<template>
		<match match="format"/>
		<children>
			<newline/>
			<template>
				<match match="@group"/>
				<children>
					<choice>
						<children>
							<choiceoption>
								<testexpression>
									<xpath value=". =&quot;&quot;"/>
								</testexpression>
								<children>
									<text fixtext="Entrez le nom local du groupe : ">
										<styles color="#0000FF"/>
									</text>
								</children>
							</choiceoption>
						</children>
					</choice>
					<xpath allchildren="1"/>
				</children>
			</template>
			<text fixtext=" : "/>
			<template>
				<match match="@name"/>
				<children>
					<choice>
						<children>
							<choiceoption>
								<testexpression>
									<xpath value=". =&quot;&quot; and  ../@group!=&quot;&quot;"/>
								</testexpression>
								<children>
									<text fixtext="Entrez le nom de la classe qui gère le formalt : ">
										<styles color="#0000FF"/>
									</text>
								</children>
							</choiceoption>
						</children>
					</choice>
					<xpath allchildren="1"/>
				</children>
			</template>
		</children>
	</template>
	<template>
		<match match="group"/>
		<children>
			<list>
				<styles margin-bottom="0" margin-top="0"/>
				<children>
					<listrow>
						<children>
							<template>
								<match match="@localname"/>
								<children>
									<xpath allchildren="1"/>
								</children>
							</template>
							<text fixtext=" =&gt; "/>
							<template>
								<match match="@uportalid"/>
								<children>
									<xpath allchildren="1"/>
								</children>
							</template>
						</children>
					</listrow>
				</children>
			</list>
		</children>
	</template>
	<template>
		<match match="groupmapping"/>
		<children>
			<paragraph paragraphtag="div">
				<styles background-color="#FEFFE1" border-style="ridge" border-width="thin"/>
				<children>
					<choice>
						<children>
							<choiceoption>
								<testexpression>
									<xpath value="count( group )&gt;0"/>
								</testexpression>
								<children>
									<text fixtext="Groupes restreinds :">
										<styles font-weight="bold"/>
									</text>
								</children>
							</choiceoption>
						</children>
					</choice>
					<xpath allchildren="1"/>
				</children>
			</paragraph>
		</children>
	</template>
	<template>
		<match match="ldap"/>
		<children>
			<paragraph paragraphtag="div">
				<children>
					<paragraph paragraphtag="div">
						<styles background-color="#FFEFE8" border-bottom-width="0cm" border-left-width="thin" border-right-width="thin" border-style="ridge" border-top-width="thin"/>
						<properties align="center"/>
						<children>
							<text fixtext="Caractéristiques du serveur LDAP">
								<styles font-size="large" font-weight="bold"/>
							</text>
						</children>
					</paragraph>
				</children>
			</paragraph>
			<paragraph paragraphtag="div">
				<children>
					<paragraph paragraphtag="div">
						<styles background-color="#FFEFE8" border-style="ridge" border-width="thin"/>
						<properties align="left"/>
						<children>
							<text fixtext="Url de lecture : ">
								<styles font-weight="bold"/>
							</text>
							<template>
								<match match="@urlRead"/>
								<children>
									<xpath allchildren="1"/>
								</children>
							</template>
							<newline/>
							<text fixtext="Url d&apos;écriture :">
								<styles font-weight="bold"/>
							</text>
							<template>
								<match match="@urlWrite"/>
								<children>
									<xpath allchildren="1"/>
								</children>
							</template>
							<newline/>
							<text fixtext="Base de recherche des personnes : ">
								<styles font-weight="bold"/>
							</text>
							<template>
								<match match="@baseDn"/>
								<children>
									<xpath allchildren="1"/>
								</children>
							</template>
							<newline/>
							<text fixtext="Filtre de recherche d&apos;une personne : ">
								<styles font-weight="bold"/>
							</text>
							<template>
								<match match="@filtreDn"/>
								<children>
									<xpath allchildren="1"/>
								</children>
							</template>
							<text fixtext=" "/>
							<text fixtext="({u} pour le login utilisateur)">
								<styles color="#0000FF"/>
							</text>
							<newline/>
							<template>
								<match match="@bindDn"/>
								<children>
									<text fixtext="Login de connexion anonyme : ">
										<styles font-weight="bold"/>
									</text>
									<xpath allchildren="1"/>
								</children>
							</template>
							<newline/>
							<template>
								<match match="@passDn"/>
								<children>
									<text fixtext="Mot de connexion anonyme : ">
										<styles font-weight="bold"/>
									</text>
									<xpath allchildren="1"/>
								</children>
							</template>
							<newline/>
							<text fixtext="Liste des attributs formatés :">
								<styles font-weight="bold"/>
							</text>
							<xpath>
								<match match="attribut"/>
							</xpath>
						</children>
					</paragraph>
				</children>
			</paragraph>
			<newline/>
		</children>
	</template>
	<template>
		<match match="param"/>
		<children>
			<template>
				<match match="@name"/>
				<children>
					<xpath allchildren="1"/>
				</children>
			</template>
			<choice>
				<children>
					<choiceoption>
						<testexpression>
							<xpath value="@name =&quot;&quot;"/>
						</testexpression>
						<children>
							<newline/>
							<text fixtext="Restriction ">
								<styles color="#0000FF" font-weight="bold"/>
							</text>
							<text fixtext=": plug.esup.restrictedAction">
								<styles color="#0000FF"/>
							</text>
							<newline/>
							<text fixtext="Attribut en lecture">
								<styles color="#0000FF" font-weight="bold"/>
							</text>
							<text fixtext=" : attributeRead">
								<styles color="#0000FF"/>
							</text>
							<newline/>
							<text fixtext="Attributs en écriture">
								<styles color="#0000FF" font-weight="bold"/>
							</text>
							<text fixtext=": attributeWrite">
								<styles color="#0000FF"/>
							</text>
							<newline/>
							<text fixtext="Attributs en paramètre du XSL">
								<styles color="#0000FF" font-weight="bold"/>
							</text>
							<text fixtext=": attributeXsl">
								<styles color="#0000FF"/>
							</text>
							<text fixtext=" "/>
						</children>
					</choiceoption>
				</children>
			</choice>
			<newline/>
			<xpath allchildren="1"/>
		</children>
	</template>
	<template>
		<match match="value"/>
		<children>
			<list>
				<styles margin-bottom="0" margin-top="0"/>
				<children>
					<listrow>
						<children>
							<xpath allchildren="1"/>
						</children>
					</listrow>
				</children>
			</list>
		</children>
	</template>
	<pagelayout>
		<properties pagemultiplepages="0" pagenumberingformat="1" pagenumberingstartat="1" paperheight="11in" papermarginbottom="0.79in" papermarginleft="0.6in" papermarginright="0.6in" papermargintop="0.79in" paperwidth="8.5in"/>
	</pagelayout>
</structure>
