<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <xsl:import href="../../common.xsl" />
   <xsl:param name="baseActionURL">donne par le code</xsl:param>
   <xsl:template match="/xml">
   <xsl:apply-templates select="ERROR"/>
	<table>
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='uid']">
				<xsl:with-param name="label">Login</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='supanncivilite']">
				<xsl:with-param name="label">Civilit</xsl:with-param>
				<xsl:with-param name="modifiable">true</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='sn']">
				<xsl:with-param name="label">Nom</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='givenname']">
				<xsl:with-param name="label">Prnom</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='telephonenumber']">
				<xsl:with-param name="label">Tlphone</xsl:with-param>
				<xsl:with-param name="modifiable">true</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='facsimiletelephonenumber']">
				<xsl:with-param name="label">Fax</xsl:with-param>
				<xsl:with-param name="modifiable">true</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='description']">
				<xsl:with-param name="label">Description</xsl:with-param>
				<xsl:with-param name="modifiable">true</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='supannorganisme']">
				<xsl:with-param name="label">Etablissement</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='postaladdress']">
				<xsl:with-param name="label">Adresse</xsl:with-param>
			</xsl:apply-templates>
		</tr>
		
		<tr>
			<xsl:apply-templates select="INFOS/ATTRIBUTE[@name='labeleduri']">
				<xsl:with-param name="label">Page web personnelle</xsl:with-param>
				<xsl:with-param name="modifiable">true</xsl:with-param>
			</xsl:apply-templates>
		</tr>
	   
	   <tr><td colspan="2">&#160;</td></tr>   
	   <tr><td>
		<form name="myForm" action="HTTPSGateway" method="get">
			<input type="hidden" name="tohttps" value="{$baseActionURL}"/>
			<input type="hidden" name="etat" value="main"/>
			<input class="uportal-button" type="submit" value="Modifier" name="Submit"/>
	   </form>
	   </td>
	   <td>
	   	<form name="retour" action="HTTPSGateway">
			<input type="hidden" name="backhttp" value="{$baseActionURL}"/>
			<input type="hidden" name="action" value="default"/>
			<input class="uportal-button" type="submit" value="Retour" name="Cancel"/>
	   </form> 
	   </td>
		</tr>
		<tr><td colspan="2">&#160;</td></tr>   
		<tr><td colspan="2"><font class="uportal-channel-text">Vous avez la possibilit de modifier les informations en 
			gras.<br/> 
			Pour demander des modifications sur les autres informations, veuillez 
				<a href="{$baseActionURL}?action=mailto&amp;login={PARAMS/ATTRIBUTE[@name='uid']/VALUE[position()=1]/@value}">cliquer ici</a>
				</font>
		</td></tr>
	   </table>
   </xsl:template>
</xsl:stylesheet>